#pragma once

#include "CoreMinimal.h"
#include "K39BaseTentacleSwingState.h"
#include "GameplayTagContainer.h"
#include "K39TentacleSwingAdjustingState.generated.h"

class UCurveFloat;

UCLASS(Blueprintable)
class THEK39_API UK39TentacleSwingAdjustingState : public UK39BaseTentacleSwingState
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	FGameplayTagContainer _slidingStateTags;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	UCurveFloat* _slidingSpeedCurve;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	FGameplayTagContainer _allowedInteractionSemanticTagsDuringAdjusting;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	FGameplayTagContainer _allowedInteractionSemanticTagsDuringNotRecentlySwinging;

public:
	UK39TentacleSwingAdjustingState();
};

FORCEINLINE uint32 GetTypeHash(const UK39TentacleSwingAdjustingState) { return 0; }
